---
title: "Release v0.35.0"
linkTitle: "Release v0.35.0"
date: 2022-08-04
description: >
 Release v0.35.0
---

## Changes since v0.34.1

> Starting from version v0.35.0, the CloudProvider concept is being replaced by PlatformProvider. It's a name change due to the PipeCD vision improvement. __The CloudProviders configuration is marked as deprecated, please migrate your piped agent configuration to use PlatformProviders__.

```yaml
apiVersion: pipecd.dev/v1beta1
kind: Piped
spec:
  ...
  platformProviders:
    - name: kubernetes-dev
      type: KUBERNETES
```

Checkout the docs in case you do not know what to do. ref: [docs](http://pipecd.dev/docs/operator-manual/piped/adding-a-platform-provider/)

### Notable Changes

* Make platformProviders works as piped deployment provider ([#3815](https://github.com/pipe-cd/pipecd/pull/3815))
* Sort pipeds and apps by the name in all application forms ([#3824](https://github.com/pipe-cd/pipecd/pull/3824))

### Internal Changes

* Release v0.35.0
* Update k8s executor to follow specified routes when applying manifests ([#3817](https://github.com/pipe-cd/pipecd/pull/3817))
* Make annoying log entries to DEBUG level ([#3818](https://github.com/pipe-cd/pipecd/pull/3818))
* Update examples to use v0.32.0 image ([#3832](https://github.com/pipe-cd/pipecd/pull/3832))
* Add PlatformProvider docs ([#3822](https://github.com/pipe-cd/pipecd/pull/3822))
* Update make gen/code command ([#3830](https://github.com/pipe-cd/pipecd/pull/3830))
* Rename package cloudprovider to platformprovider ([#3825](https://github.com/pipe-cd/pipecd/pull/3825))
* Update codegen container image ([#3829](https://github.com/pipe-cd/pipecd/pull/3829))
* Fix fail clone PipedSpec object ([#3827](https://github.com/pipe-cd/pipecd/pull/3827))
* Chore to update k8s libraries ([#3828](https://github.com/pipe-cd/pipecd/pull/3828))
* Fix app form ([#3826](https://github.com/pipe-cd/pipecd/pull/3826))
* Update stores reflect CloudProvider rename to PlatformProvider ([#3823](https://github.com/pipe-cd/pipecd/pull/3823))
* Replace CloudProvider with PlatformProvider in all application forms ([#3821](https://github.com/pipe-cd/pipecd/pull/3821))
* Add the RELEASES.md for explaining the way to release ([#3807](https://github.com/pipe-cd/pipecd/pull/3807))
