---
title: "Release v0.37.0"
linkTitle: "Release v0.37.0"
date: 2022-09-07
description: >
 Release v0.37.0
---

## Changes since v0.36.0

> Starting from version v0.37.0, it's able to control the order of applying Kubernetes manifests with `pipecd.dev/order` annotation.\
  In this example, the CRD manifest will be applied before the Deployment manifest.

```yaml
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: sample
  annotations:
    pipecd.dev/order: 1
spec:
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: sample
  annotations:
    pipecd.dev/order: 2
spec:
```

### Notable Changes
* Allow using Annotations to sort Kubernetes manifests before applying ([#3869](https://github.com/pipe-cd/pipecd/pull/3869))

### Internal Changes
* Define some RBAC gRPCs ([#3894](https://github.com/pipe-cd/pipecd/pull/3894))
* Fix links in docs ([#3896](https://github.com/pipe-cd/pipecd/pull/3896))
* Update docs reflect new category structure ([#3882](https://github.com/pipe-cd/pipecd/pull/3882))
* Fix group titles in docs ([#3895](https://github.com/pipe-cd/pipecd/pull/3895))
* Update google-protobuf version ([#3890](https://github.com/pipe-cd/pipecd/pull/3890))
* Update codegen version ([#3889](https://github.com/pipe-cd/pipecd/pull/3889))
* Fix GetProject to set built-in RBAC ([#3887](https://github.com/pipe-cd/pipecd/pull/3887))
* Update codegen version to support quickstart ([#3886](https://github.com/pipe-cd/pipecd/pull/3886))
* Support quickstart project ([#3885](https://github.com/pipe-cd/pipecd/pull/3885))
* Remove the old project_role field ([#3884](https://github.com/pipe-cd/pipecd/pull/3884))
* Update editor and viewer built-in roles ([#3883](https://github.com/pipe-cd/pipecd/pull/3883))
* Update codegen version ([#3881](https://github.com/pipe-cd/pipecd/pull/3881))
* Update protobuf-go version ([#3880](https://github.com/pipe-cd/pipecd/pull/3880))
* Fix the cache values for auth ([#3879](https://github.com/pipe-cd/pipecd/pull/3879))
* Update codegen version ([#3878](https://github.com/pipe-cd/pipecd/pull/3878))
* Remove an unused pkg ([#3877](https://github.com/pipe-cd/pipecd/pull/3877))
* Fix getRBAC function ([#3876](https://github.com/pipe-cd/pipecd/pull/3876))
* Update codegen version and generate auth file ([#3875](https://github.com/pipe-cd/pipecd/pull/3875))
* Docs refinement ([#3870](https://github.com/pipe-cd/pipecd/pull/3870))
* Chore to fix the split point ([#3874](https://github.com/pipe-cd/pipecd/pull/3874))
* Remove unused functions ([#3872](https://github.com/pipe-cd/pipecd/pull/3872))
* Replace old RBAC handling with new RBAC handling ([#3868](https://github.com/pipe-cd/pipecd/pull/3868))
* Remove integration to Kapetanios ([#3871](https://github.com/pipe-cd/pipecd/pull/3871))
* Restyling setting left sidebar ([#3867](https://github.com/pipe-cd/pipecd/pull/3867))
* Update outdated link ([#3866](https://github.com/pipe-cd/pipecd/pull/3866))
* Fix fast redirect on login form back button click ([#3865](https://github.com/pipe-cd/pipecd/pull/3865))
* Add the names of project rbac role to the role model ([#3666](https://github.com/pipe-cd/pipecd/pull/3666))
* Fix unable to click back in login form ([#3863](https://github.com/pipe-cd/pipecd/pull/3863))
* Refine concept page ([#3862](https://github.com/pipe-cd/pipecd/pull/3862))
* Delete legacy docs ([#3861](https://github.com/pipe-cd/pipecd/pull/3861))
* Update contributors list ([#3860](https://github.com/pipe-cd/pipecd/pull/3860))
